---
title: 2021 reading retrospective - tech edition
draft: false
tags:
  - reading
  - retrospective
date: 2021-12-31
---
Last year I wrote a Twitter thread on data/AI books that I read on 2020. This year I want to do the same thing in the form of a blog post. Note that the scope is slightly broader since in this post I’m also including non-data/AI tech books too. I also did a general 2021 reading retrospective which you can find here: [[2021 reading retrospective]].

The list is sorted by chronological order (date read from earliest to latest).

Now, onto the list:

**_Programmed Inequality: How Britain Discarded Women Technologists and Lost Its Edge in Computing_ by Mar Hicks**

A well-researched book on how Britain’s computing industry suffered by discarding women in the process. Two years ago I read Claire L. Evans’ _Broad Band_ and one of the topics discussed in the book is how women were forced out of computing. This book takes it further by zooming in to Britain in particular and goes into details about all the policies and structural issues in Britain that eventually forced women out of computing. It also discusses how this eventually affected Britain’s reign as a leader in computing, just as promised in the title. My only gripe is that it does not go very detailed on how exactly it happened. It’s still an important read nevertheless!

**_Your Computer Is on Fire_ edited by Thomas S. Mullaney, Benjamin Peters, Mar Hicks, and Kavita Philip**

One of my favorite reads in 2021. This book is a collection of essays that highlight a set of oft-overlooked issues in tech and what happens when we ignore them until it’s too late—which, sadly, seems to be always the case. I had been eyeing this book for quite a while and bought it immediately when it was released. At first I was worried that the writing was going to be very academic but I found it to be very readable and not a slog to get through at all. I also love that the book explores a wide range of issues. Some of my favorites are related to languages: “Siri Discipline” by Halcyon M. Lawrence explores voice recognition (raise your hand if you’ve been personally victimized by your voice recognition app not recognizing your accent! 🙋‍♀️); “Broken is word” by Andrea Stanton discusses language and typing. Did you know that Microsoft’s Traditional Arabic typeset only appeared as recent as 20 years ago because it was too difficult to deal with? Does that make you angry? Because it sure does make me angry.

**_Neural Networks and Deep Learning_ by Michael Nielsen**

I mostly learned about neural networks from a collection of random articles on the Internet and I felt there were some gaps in my knowledge because of my rather haphazard learning approach. I decided to read this book so I could re-learn neural networks and deep learning in a more orderly manner. It’s a good and concise book if you want to learn neural networks and deep learning from the very basic building blocks.

**_Statistics Done Wrong: The Woefully Complete Guide_ by Alex Reinhart**

They say you learn a lot from mistakes, and I wholeheartedly agree. A lot of stats concepts fly over my head if I’m just reading descriptions from a textbook. But when I learn about how _not_ to use them, it’s like these concepts are drilled into my brain, perhaps out of my own gigantic fear of making mistakes. There are a lot of real-life case studies which is perfect for my learning style, though most examples come from lab settings.

**_Mindf*ck: Cambridge Analytica and the Plot to Break America_ by Christopher Wylie**

I’ve been following the Cambridge Analytica news since it broke out, but this is the first time I read in detail about the projects that they were working on. What surprised me is this: I’m sure that anyone who has worked with data long enough actually has the technical knowledge to accomplish the same thing, given the same data and resources. These projects does not involve obscure, cutting-edge technology that only a few people in the world can do—it’s basically big data aggregation with some machine learning sprinkled here and there, something that a lot of people have probably learned in college. What matters here is not about whether you’re technically knowledgeable enough or not—the bigger question is how your conscience will react when you’re presented with the same opportunity. I guess this is true for a lot of things: there’s often only a very thin, almost invisible line between where you are now and where you _shouldn’t_ be. I know that I don’t want to be the person who says “yes, I’ll do it” and cross that line. For me, one of the things I can do right now is to make that line more visible by thinking more critically about how I’m using my skills and how I’m contributing to the technologies that are shaping our lives.

**_This Is How They Tell Me the World Ends: The Cyberweapons Arms Race_ by Nicole Pelroth**

I first found out about this book from the _Darknet Diaries_ podcast. There are a few overlapping stories and episodes, but it’s still a good read, and this book is a good complement in the way that it provides a lot of historical contexts for the exploits and events that I've heard from the podcast. I do think the book could have been shorter though.

**_Super Pumped: The Battle of Uber_ by Mike Isaac**

The main reason I read this book is because I was thirsty for another tech “tea” book a la _Bad Blood_. There are some stories I’m already familiar with, mostly the more recent controversies such as the Waymo debacle. I wasn’t aware of Uber’s early history though so there are a couple of fun tidbits I learned for the first time, like how their first CEO got his initial position in Uber by tweeting at Travis Kalanick to how Kalanick dealed with VCs. There’s something about the writing that I’m somehow not really a fan of but it’s a page-turner nevertheless, which is not surprising given the dramatic source materials.